Package be.e_contract.ejsf.component.message

# Class AddMessageActionListener

java.lang.Object
be.e_contract.ejsf.component.message.AddMessageActionListener

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.StateHolder`, `javax.faces.event.ActionListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListener`

public class AddMessageActionListener extends Object implements javax.faces.event.ActionListener, javax.faces.component.StateHolder, javax.faces.event.SystemEventListener

## Field Summary

### Fields inherited from interface javax.faces.event.ActionListener

`TO_FLOW_DOCUMENT_ID_ATTR_NAME`

## Constructor Summary

Constructors
Constructor
Description
`AddMessageActionListener()`
`AddMessageActionListener(String severity, String summary, String detail, String target, String whenCallbackParam, String whenCallbackParamValue, String callbackParamVar, boolean invalidateTarget)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDetailParam(String value)`
`void`
`addSummaryParam(String value)`
`boolean`
`isListenerForSource(Object source)`
`boolean`
`isTransient()`
`void`
`processAction(javax.faces.event.ActionEvent event)`
`void`
`processEvent(javax.faces.event.SystemEvent event)`
`void`
`restoreState(javax.faces.context.FacesContext context, Object state)`
`Object`
`saveState(javax.faces.context.FacesContext context)`
`void`
`setTransient(boolean newTransientValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddMessageActionListener

public AddMessageActionListener()

### AddMessageActionListener

public AddMessageActionListener(String severity, String summary, String detail, String target, String whenCallbackParam, String whenCallbackParamValue, String callbackParamVar, boolean invalidateTarget)

## Method Details

### saveState

public Object saveState(javax.faces.context.FacesContext context)

Specified by:
  `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

public void restoreState(javax.faces.context.FacesContext context, Object state)

Specified by:
  `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

public boolean isTransient()

Specified by:
  `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

public void setTransient(boolean newTransientValue)

Specified by:
  `setTransient` in interface `javax.faces.component.StateHolder`

### addSummaryParam

public void addSummaryParam(String value)

### addDetailParam

public void addDetailParam(String value)

### processAction

public void processAction(javax.faces.event.ActionEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processAction` in interface `javax.faces.event.ActionListener`
Throws:
  `javax.faces.event.AbortProcessingException`

### processEvent

public void processEvent(javax.faces.event.SystemEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processEvent` in interface `javax.faces.event.SystemEventListener`
Throws:
  `javax.faces.event.AbortProcessingException`

### isListenerForSource

public boolean isListenerForSource(Object source)

Specified by:
  `isListenerForSource` in interface `javax.faces.event.SystemEventListener`